<?php

if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die ('Please do not load this page directly. Thanks!');
if ( post_password_required() ) {
	echo '<p>This post is password protected. Enter the password to view comments.</p>';
	return;
}

if ( have_comments() ) : ?>

<?php get_template_part( '/templateparts/div_post-nocol-noside', 'top' ); ?>
<h4 id="comments"><?php comments_number('No Comments', 'One Comment', '% Comments' );?></h4>
<ul class="commentlist">
<?php wp_list_comments(); ?>
</ul>
<div><?php paginate_comments_links(); ?></div>
<?php get_template_part( '/templateparts/div_post-nocol-noside', 'bottom' ); ?>

<?php get_template_part( '/templateparts/div_post-nocol-noside', 'top' ); ?>
<?php comment_form(); ?>
<?php get_template_part( '/templateparts/div_post-nocol-noside', 'bottom' ); ?>

<?php else : // this is displayed if there are no comments so far ?>

	<?php if ( comments_open() ) : // If comments are open, but there are no comments. ?>
	<?php get_template_part( '/templateparts/div_post-nocol-noside', 'top' ); ?>
	<?php comment_form(); ?>
    <?php get_template_part( '/templateparts/div_post-nocol-noside', 'bottom' ); ?>
    <?php else : // comments are closed
    endif;
	
endif; ?>