<?php
if ( !is_admin() ) { 
wp_register_style('swstyleops', get_bloginfo( 'template_directory' ) . '/swstyleops.css');wp_enqueue_style( 'swstyleops' );
wp_register_style('swstatstyle', get_bloginfo( 'template_directory' ) . '/swstatstyle.css');wp_enqueue_style( 'swstatstyle' );
wp_deregister_script( 'jquery' ); wp_register_script( 'jquery', 'https://ajax.googleapis.com/ajax/libs/jquery/1.5.2/jquery.min.js'); wp_enqueue_script('jquery');
wp_register_script( 'swpjs', get_bloginfo('template_directory').'/swp.js'); wp_enqueue_script('swpjs');
wp_register_script( 'jcarousellite', get_bloginfo('template_directory').'/jcarousellite.js'); wp_enqueue_script('jcarousellite');
wp_register_script( 'easing', get_bloginfo('template_directory').'/jquery.easing.js'); wp_enqueue_script('easing');
if ( is_singular() ) wp_enqueue_script( 'comment-reply' );
}

include(TEMPLATEPATH."/themeoptions.php");

if(function_exists('add_theme_support')) {
    add_theme_support('automatic-feed-links');
}

if ( function_exists('register_sidebar') )
register_sidebar(array(
"name" => "Side Bar",
"before_widget" => "<div class='sidewidget'>",
"after_widget" => "</div>",
"before_title" => "<h4 class='widgetheading'>",
"after_title" => "</h4>",));
register_sidebar(array(
"name" => "Footer",
'before_widget' => "<div class='footwidget'>",
"after_widget" => "</div>",
"before_title" => "<h4 class='widgetheading'>",
"after_title" => "</h4>",));

add_editor_style( 'editor-style.css' );

add_theme_support( 'post-thumbnails' );

add_theme_support('menus');
add_action( 'init', 'register_my_menus' );

function register_my_menus() {
	register_nav_menus(
		array(
			'main-menu' => __( 'Main Menu' )
		)
	);
	register_nav_menus(
		array(
			'second-menu' => __( 'Second Menu' )
		)
	);
}

function create_custom_post_types() {
	register_post_type( 'spotlight',
		array(
			'labels' => array(
				'name' => __( 'Spotlights' ),
				'singular_name' => __( 'Spotlight' ),
				'add_new_item' => 'Add New Spotlight',
				'edit_item' => 'Edit Spotlight',
				'new_item' => 'New Spotlight',
				'view' => __( 'View Spotlight' ),
				'view_item' => __( 'View Spotlight' ),
				'search_items' => 'Search Spotlights',
				'not_found' => 'No Spotlights found',
				'not_found_in_trash' => 'No Spotlights found in trash',
			),
			'public' => true,
			'exclude_from_search' => true,
			'query_var' => true,
			'menu_position' => 5,
			'hierarchical' => true,
			'supports' => array( 'title', 'editor','excerpt','custom-fields','comments','page-attributes' ),
			'rewrite' => false,
			'can_export' => true,
			'show_in_nav_menus' => true,
		)
	);
	register_post_type( 'featuredstrip',
		array(
			'labels' => array(
				'name' => __( 'Featured Strip' ),
				'singular_name' => __( 'Featured Strip' ),
				'add_new_item' => 'Add New Featured Strip',
				'edit_item' => 'Edit Featured Strip',
				'new_item' => 'New Featured Strip',
				'view' => __( 'View Featured Strip' ),
				'view_item' => __( 'View Featured Strip' ),
				'search_items' => 'Search Featured Strips',
				'not_found' => 'No Featured Strips found',
				'not_found_in_trash' => 'No Featured Strips found in trash',
			),
			'public' => true,
			'exclude_from_search' => true,
			'query_var' => true,
			'menu_position' => 5,
			'hierarchical' => true,
			'supports' => array( 'title', 'editor','excerpt','custom-fields','comments','thumbnail','page-attributes' ),
			'rewrite' => false,
			'can_export' => true,
			'show_in_nav_menus' => true,
		)
	);
}
add_action( 'init', 'create_custom_post_types' );

/**
 * Retrieve or display pagination code.
 *
 * The defaults for overwriting are:
 * 'page' - Default is null (int). The current page. This function will
 *      automatically determine the value.
 * 'pages' - Default is null (int). The total number of pages. This function will
 *      automatically determine the value.
 * 'range' - Default is 3 (int). The number of page links to show before and after
 *      the current page.
 * 'gap' - Default is 3 (int). The minimum number of pages before a gap is 
 *      replaced with ellipses (...).
 * 'anchor' - Default is 1 (int). The number of links to always show at begining
 *      and end of pagination
 * 'before' - Default is '<div class="emm-paginate">' (string). The html or text 
 *      to add before the pagination links.
 * 'after' - Default is '</div>' (string). The html or text to add after the
 *      pagination links.
 * 'title' - Default is '__('Pages:')' (string). The text to display before the
 *      pagination links.
 * 'next_page' - Default is '__('&raquo;')' (string). The text to use for the 
 *      next page link.
 * 'previous_page' - Default is '__('&laquo')' (string). The text to use for the 
 *      previous page link.
 * 'echo' - Default is 1 (int). To return the code instead of echo'ing, set this
 *      to 0 (zero).
 *
 * @author Eric Martin <eric@ericmmartin.com>
 * @copyright Copyright (c) 2009, Eric Martin
 * @version 1.0
 *
 * @param array|string $args Optional. Override default arguments.
 * @return string HTML content, if not displaying.
 */
function emm_paginate($args = null) {
	$defaults = array(
		'page' => null, 'pages' => null, 
		'range' => 3, 'gap' => 3, 'anchor' => 1,
		'before' => '<div class="emm-paginate">', 'after' => '</div>',
		'title' => __(''),
		'nextpage' => __('&raquo;'), 'previouspage' => __('&laquo'),
		'echo' => 1
	);

	$r = wp_parse_args($args, $defaults);
	extract($r, EXTR_SKIP);

	if (!$page && !$pages) {
		global $wp_query;

		$page = get_query_var('paged');
		$page = !empty($page) ? intval($page) : 1;

		$posts_per_page = intval(get_query_var('posts_per_page'));
		$pages = intval(ceil($wp_query->found_posts / $posts_per_page));
	}
	
	$output = "";
	if ($pages > 1) {	
		$output .= "$before<span class='emm-title'>$title</span>";
		$ellipsis = "<span class='emm-gap'>...</span>";

		if ($page > 1 && !empty($previouspage)) {
			$output .= "<a href='" . get_pagenum_link($page - 1) . "' class='emm-prev'>$previouspage</a>";
		}
		
		$min_links = $range * 2 + 1;
		$block_min = min($page - $range, $pages - $min_links);
		$block_high = max($page + $range, $min_links);
		$left_gap = (($block_min - $anchor - $gap) > 0) ? true : false;
		$right_gap = (($block_high + $anchor + $gap) < $pages) ? true : false;

		if ($left_gap && !$right_gap) {
			$output .= sprintf('%s%s%s', 
				emm_paginate_loop(1, $anchor), 
				$ellipsis, 
				emm_paginate_loop($block_min, $pages, $page)
			);
		}
		else if ($left_gap && $right_gap) {
			$output .= sprintf('%s%s%s%s%s', 
				emm_paginate_loop(1, $anchor), 
				$ellipsis, 
				emm_paginate_loop($block_min, $block_high, $page), 
				$ellipsis, 
				emm_paginate_loop(($pages - $anchor + 1), $pages)
			);
		}
		else if ($right_gap && !$left_gap) {
			$output .= sprintf('%s%s%s', 
				emm_paginate_loop(1, $block_high, $page),
				$ellipsis,
				emm_paginate_loop(($pages - $anchor + 1), $pages)
			);
		}
		else {
			$output .= emm_paginate_loop(1, $pages, $page);
		}

		if ($page < $pages && !empty($nextpage)) {
			$output .= "<a href='" . get_pagenum_link($page + 1) . "' class='emm-next'>$nextpage</a>";
		}

		$output .= $after;
	}

	if ($echo) {
		echo $output;
	}

	return $output;
}

/**
 * Helper function for pagination which builds the page links.
 *
 * @access private
 *
 * @author Eric Martin <eric@ericmmartin.com>
 * @copyright Copyright (c) 2009, Eric Martin
 * @version 1.0
 *
 * @param int $start The first link page.
 * @param int $max The last link page.
 * @return int $page Optional, default is 0. The current page.
 */
function emm_paginate_loop($start, $max, $page = 0) {
	$output = "";
	for ($i = $start; $i <= $max; $i++) {
		$output .= ($page === intval($i)) 
			? "<span class='emm-page emm-current'>$i</span>" 
			: "<a href='" . get_pagenum_link($i) . "' class='emm-page'>$i</a>";
	}
	return $output;
}

?>