<?php
return $options_contentarea = array (
	array(	'type' => 'colposition','name' => 'Sidebar area width','id' => $cat.'_sidebar_area_width','std' => '320'),
	array(	'type' => 'openoptions','name' => 'Content Area Options'),
	array(	'type' => 'header','name' => 'Content Area Settings','tooltip' => 'This block contains the post area and sidebar'),
	array(	'type' => 'opendropdown','name' => 'Set where to show this block'),	
	array(	'type' => 'status','name' => 'Front Page','id' => $cat.'_contentarea_status_home','std' => 'Show','options' => array('Show', 'Hide')),	
	array(	'type' => 'status','name' => 'Blog','id' => $cat.'_contentarea_status_blog','std' => 'Show','options' => array('Show', 'Hide')),	
	array(	'type' => 'status','name' => 'Single Posts','id' => $cat.'_contentarea_status_single','std' => 'Show','options' => array('Show', 'Hide')),	
	array(	'type' => 'status','name' => 'Pages','id' => $cat.'_contentarea_status_pages','std' => 'Show','options' => array('Show', 'Hide')),			
	array(	'type' => 'closedropdown'),
	array(	'type' => 'opendropdown','name' => 'Content Area Background Settings','tooltip' => 'Set a background for the entire content area block - will appear behind your sidebar and posts area'),	
	array(	'type' => 'bgcolor','name' => 'Background color','id' => $cat.'_contentareabg_color','std' => 'none'),
	array(  'name' => 'Upload Background Image','id' => $cat.'_contentareabgurl','type' => 'upload','std' => 'contentareabg.png'),
	array(	'type' => 'status','name' => 'Background Image Tiling','id' => $cat.'_contentareabgimg_tiling','std' => 'Top to bottom','options' => array('No Tiling', 'Left to right', 'Top to bottom', 'Both directions')),
	array(	'type' => 'closedropdown'),	
	array(	'type' => 'header','name' => 'Sidebar Settings'),
	array(	'type' => 'status','name' => 'Sidebar on right or left?','id' => $cat.'_sidebar_float','std' => 'Right','options' => array('Right','Left')),
	array(	'type' => 'opendropdown','name' => 'Show sidebar on which parts of your site?'),
	array(	'type' => 'status','name' => 'Front Page','id' => $cat.'_sidebar_status_home','std' => 'Show','options' => array('Show', 'Hide')),	
	array(	'type' => 'status','name' => 'Blog','id' => $cat.'_sidebar_status_blog','std' => 'Show','options' => array('Show', 'Hide')),	
	array(	'type' => 'status','name' => 'Single Posts','id' => $cat.'_sidebar_status_single','std' => 'Show','options' => array('Show', 'Hide')),	
	array(	'type' => 'status','name' => 'Pages','id' => $cat.'_sidebar_status_pages','std' => 'Show','options' => array('Show', 'Hide')),			
	array(	'type' => 'closedropdown'),		
	array(	'type' => 'opendropdown','name' => 'Sidebar Background Settings'),
	array(	'type' => 'bgcolor','name' => 'Sidebar background color','id' => $cat.'_sidebarbg_color','std' => 'none'),
	array(  'name' => 'Upload Background Image','id' => $cat.'_sidebarbgurl','type' => 'upload','std' => 'noimage'),
	array(	'type' => 'status','name' => 'Background Image Tiling','id' => $cat.'_sidebarbgimg_tiling','std' => 'Top to bottom','options' => array('No Tiling', 'Left to right', 'Top to bottom', 'Both directions')),		
	array(	'type' => 'closedropdown'),	
	array(	'type' => 'opendropdown','name' => 'Widget Background Settings'),
	array(	'type' => 'bgcolor','name' => 'Widget background color','id' => $cat.'_widgetbg_color','std' => 'f2e4d0'),
	array(  'name' => 'Upload Background Image','id' => $cat.'_widgetbgurl','type' => 'upload','std' => 'widgetbg.jpg'),
	array(	'type' => 'status','name' => 'Background Image Tiling','id' => $cat.'_widgetbgimg_tiling','std' => 'Both directions','options' => array('No Tiling', 'Left to right', 'Top to bottom', 'Both directions')),		
	array(	'type' => 'closedropdown'),
	array(	'type' => 'opendropdown','name' => 'Sidebar Text and Link Settings'),
	array(	'type' => 'font','name' => 'Widget heading font','id' => $cat.'_widgetheading_font','std' => 'Merriweather'),
	array(	'type' => 'text','name' => 'Widget heading size','id' => $cat.'_widgetheading_size','std' => '22'),
	array(	'type' => 'status','name' => 'Widget heading  weight','id' => $cat.'_widgetheading_weight','std' => 'Normal','options' => array('Normal', 'Bold')),
	array(	'type' => 'blockcolor','name' => 'Widget heading color','id' => $cat.'_widgetheading_color','std' => '523b2a'),
	array(	'type' => 'hr'),
	array(	'type' => 'blockcolor','name' => 'Widget heading and list item underline color','id' => $cat.'_widgetheadingunderline_color','std' => 'ccb89d'),
	array(	'type' => 'text','name' => 'Sidebar text size','id' => $cat.'_sidebartext_size','std' => ''),
	array(	'type' => 'blockcolor','name' => 'Sidebar text color','id' => $cat.'_sidebartext_color','std' => '5c431f'),			
	array(	'type' => 'blockcolor','name' => 'Sidebar link color','id' => $cat.'_sidebarlink_color','std' => '733608'),			
	array(	'type' => 'blockcolor','name' => 'Sidebar hover color','id' => $cat.'_sidebarhover_color','std' => 'b3601d'),			
	array(	'type' => 'closedropdown'),
	array(	'type' => 'opendropdown','name' => 'Add Social Icons'),
	array(	'type' => 'header','name' => 'Icon 1'),
	array(  'name' => 'Upload Icon 1','id' => $cat.'_iconone','type' => 'upload','std' => 'twitter.png'),
	array(	'type' => 'text','name' => 'Icon 1 Link','id' => $cat.'_icononelink','std' => 'http://www.twitter.com/yourhandle'),
	array(	'type' => 'text','name' => 'Hover Message (e.g. Follow Me)','id' => $cat.'_icononemsg','std' => 'Follow On Twitter'),
	array(	'type' => 'hr'),
	array(	'type' => 'header','name' => 'Icon 2'),
	array(  'name' => 'Upload Icon 2','id' => $cat.'_icontwo','type' => 'upload','std' => 'facebook.png'),	
	array(	'type' => 'text','name' => 'Icon 2 Link','id' => $cat.'_icontwolink','std' => 'http://www.facebook.com/#!/yourname'),
	array(	'type' => 'text','name' => 'Hover Message (e.g. Follow Me)','id' => $cat.'_icontwomsg','std' => 'Connect on Facebook'),
	array(	'type' => 'hr'),
	array(	'type' => 'header','name' => 'Icon 3'),
	array(  'name' => 'Upload Icon 3','id' => $cat.'_iconthree','type' => 'upload','std' => 'youtube.png'),	
	array(	'type' => 'text','name' => 'Icon 3 Link','id' => $cat.'_iconthreelink','std' => 'http://www.youtube.com/user/yourchannel'),
	array(	'type' => 'text','name' => 'Hover Message (e.g. Follow Me)','id' => $cat.'_iconthreemsg','std' => 'Visit YouTube Channel'),
	array(	'type' => 'hr'),
	array(	'type' => 'header','name' => 'Icon 4'),
	array(  'name' => 'Upload Icon 4','id' => $cat.'_iconfour','type' => 'upload','std' => 'linkedin.png'),	
	array(	'type' => 'text','name' => 'Icon 4 Link','id' => $cat.'_iconfourlink','std' => 'http://www.linkedin.com/pub/yourhandle'),
	array(	'type' => 'text','name' => 'Hover Message (e.g. Follow Me)','id' => $cat.'_iconfourmsg','std' => 'Connect at LinkedIn'),
	array(	'type' => 'closedropdown'),
	array(	'type' => 'header','name' => 'Post Settings'),		
	array(	'type' => 'text','name' => 'Number of post columns','id' => $cat.'_pcolnum','std' => '1'),
	array(	'type' => 'opendropdown','name' => 'Posts Area Background Settings','tooltip' => 'Set a background that will appear behind your individual posts but not in the sidebar'),		
	array(	'type' => 'bgcolor','name' => 'Posts area background color','id' => $cat.'_postsareabg_color','std' => 'none'),
	array(  'name' => 'Upload Background Image','id' => $cat.'_postsareabgurl','type' => 'upload','std' => 'noimage'),
	array(	'type' => 'status','name' => 'Background Image Tiling','id' => $cat.'_postsareabgimg_tiling','std' => 'Top to bottom','options' => array('No Tiling', 'Left to right', 'Top to bottom', 'Both directions')),
	array(	'type' => 'closedropdown'),
	array(	'type' => 'opendropdown','name' => 'Individual Post Background Settings','tooltip' => 'Set a background contained inside your individual posts'),	
	array(	'type' => 'bgcolor','name' => 'Individual post background color','id' => $cat.'_postbg_color','std' => 'f3ece2'),	
	array(  'name' => 'Upload Background Image','id' => $cat.'_postbgurl','type' => 'upload','std' => 'postbg.jpg'),
	array(	'type' => 'status','name' => 'Background Image Tiling','id' => $cat.'_postbgimg_tiling','std' => 'Both directions','options' => array('No Tiling', 'Left to right', 'Top to bottom', 'Both directions')),		
	array(	'type' => 'closedropdown'),
	array(	'type' => 'opendropdown','name' => 'Post Text and Link Settings'),		
	array(	'type' => 'font','name' => 'Post heading font','id' => $cat.'_postheading_font','std' => 'Merriweather'),
	array(	'type' => 'text','name' => 'Post heading size','id' => $cat.'_postheading_size','std' => '36'),
	array(	'type' => 'status','name' => 'Post heading  weight','id' => $cat.'_postheading_weight','std' => 'Normal','options' => array('Normal', 'Bold')),
	array(	'type' => 'blockcolor','name' => 'Posts heading color','id' => $cat.'_postheading_color','std' => '371305'),
	array(	'type' => 'blockcolor','name' => 'Posts heading link color','id' => $cat.'_postheadinglink_color','std' => '371305'),
	array(	'type' => 'blockcolor','name' => 'Posts heading hover color','id' => $cat.'_postheadinghover_color','std' => 'aa3405'),
	array(	'type' => 'hr'),
	array(	'type' => 'blockcolor','name' => 'Posts text color','id' => $cat.'_poststext_color','std' => '0c0500'),
	array(	'type' => 'blockcolor','name' => 'Posts link color','id' => $cat.'_postslink_color','std' => 'aa3405'),
	array(	'type' => 'blockcolor','name' => 'Posts hover color','id' => $cat.'_postshover_color','std' => 'ca420d'),
	array(	'type' => 'closedropdown'),
	array(	'type' => 'opendropdown','name' => 'Blockquote Background Settings'),
	array(	'type' => 'blockcolor','name' => 'Blockquote background color','id' => $cat.'_blockquotebg_color','std' => 'f2e4d0'),			
	array(	'type' => 'blockcolor','name' => 'Blockquote border color','id' => $cat.'_blockquoteborder_color','std' => 'eadbc5'),			
	array(	'type' => 'closedropdown'),
	array(	'type' => 'opendropdown','name' => 'Blockquote Text and Link Settings'),
	array(	'type' => 'font','name' => 'Blockquote font','id' => $cat.'_blockquote_font','std' => 'Arial'),
	array(	'type' => 'text','name' => 'Blockquote text size','id' => $cat.'_blockquote_size','std' => '14'),
	array(	'type' => 'blockcolor','name' => 'Blockquote text color','id' => $cat.'_blockquotetext_color','std' => '786244'),
	array(	'type' => 'blockcolor','name' => 'Blockquote link color','id' => $cat.'_blockquotelink_color','std' => 'b67139'),
	array(	'type' => 'blockcolor','name' => 'Blockquote hover color','id' => $cat.'_blockquotehover_color','std' => 'b3601d'),
	array(	'type' => 'closedropdown'),
	array(	'type' => 'header','name' => 'Post Info & Pagination Settings','tooltip' => 'Post Info =  author, time, categories, comments, tags'),
	array(	'type' => 'opendropdown','name' => 'Show Pagination or &quot;Next&quot; and &quot;Previous&quot; post links on which parts of your site?'),
	array(	'type' => 'status','name' => 'Front Page Pagination','id' => $cat.'_postlinks_status_home','std' => 'Show','options' => array('Show', 'Hide')),	
	array(	'type' => 'status','name' => 'Blog Pagination','id' => $cat.'_postlinks_status_blog','std' => 'Show','options' => array('Show', 'Hide')),	
	array(	'type' => 'status','name' => 'Single Post Next &amp; Previous Links','id' => $cat.'_postlinks_status_single','std' => 'Show','options' => array('Show', 'Hide')),	
	array(	'type' => 'status','name' => 'Pages Next &amp; Previous Links','id' => $cat.'_postlinks_status_pages','std' => 'Show','options' => array('Show', 'Hide')),			
	array(	'type' => 'closedropdown'),
	array(	'type' => 'opendropdown','name' => 'Show author, time, categories, comments, tags on which parts of your site?'),
	array(	'type' => 'status','name' => 'Front Page','id' => $cat.'_postmeta_status_home','std' => 'Show','options' => array('Show', 'Hide')),	
	array(	'type' => 'status','name' => 'Blog','id' => $cat.'_postmeta_status_blog','std' => 'Show','options' => array('Show', 'Hide')),	
	array(	'type' => 'status','name' => 'Single Posts','id' => $cat.'_postmeta_status_single','std' => 'Show','options' => array('Show', 'Hide')),			
	array(	'type' => 'closedropdown'),	
	array(	'type' => 'opendropdown','name' => 'Post Info Background Settings'),
	array(	'type' => 'blockcolor','name' => 'Post info background color','id' => $cat.'_postmetabg_color','std' => 'f2e4d0'),			
	array(	'type' => 'blockcolor','name' => 'Post info border color','id' => $cat.'_postmetaborder_color','std' => 'e0cdb3'),			
	array(	'type' => 'closedropdown'),
	array(	'type' => 'opendropdown','name' => 'Post Info Text and Link Settings'),
	array(	'type' => 'text','name' => 'Post info text size','id' => $cat.'_postmeta_size','std' => '11'),
	array(	'type' => 'blockcolor','name' => 'Post info text color','id' => $cat.'_postmetatext_color','std' => '987e58'),	
	array(	'type' => 'blockcolor','name' => 'Post info link color','id' => $cat.'_postmetalink_color','std' => 'b67139'),
	array(	'type' => 'blockcolor','name' => 'Post info hover color','id' => $cat.'_postmetahover_color','std' => 'b3601d'),				
	array(	'type' => 'closedropdown'),
	array(	'type' => 'closeoptions')
);?>